package com.tommymacwilliam.androidwalkthroughapp4;

import android.app.Activity;
import android.os.Bundle;
import android.widget.EditText;
import android.content.SharedPreferences;

public class AndroidWalkthroughApp4 extends Activity {

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
    public void onResume() {    	
    	// get EditText object
    	EditText editText = (EditText)this.findViewById(R.id.edit_text);

    	// get preferences object
    	SharedPreferences prefs = this.getPreferences(MODE_PRIVATE);
    	// set text to our saved value
    	editText.setText(String.valueOf(prefs.getInt("chars", 0)));
    	
    	// don't forget to do this, or your app will crash!
    	super.onResume();
    }
    
    @Override
    public void onPause() {
    	// get EditText object
    	EditText editText = (EditText)this.findViewById(R.id.edit_text);
    	    	
    	// get preferences object
    	SharedPreferences prefs = this.getPreferences(MODE_PRIVATE);
    	// create editor from preferences object
    	SharedPreferences.Editor editor = prefs.edit();
    	// save and write length of EditText 
    	editor.putInt("chars", editText.getText().length());
    	editor.commit();
    	
    	// don't forget this either!
    	super.onPause();
    }
}